summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@dtucker.net>2020-08-07 15:11:42 +1000
committerDarren Tucker <dtucker@dtucker.net>2020-08-07 15:24:55 +1000
commiteb122b1eebe58b29a83a507ee814cbcf8aeded1b (patch)
tree26a202e2bd0eecd3afa1b91264c26a74ec4a6bf6
parentc2ec7a07f8caabb4d8e00c66e7cd46bf2cd1e922 (diff)
Add ability to specify exact test target.
-rwxr-xr-x.github/run_test.sh23
-rw-r--r--.github/workflows/c-cpp.yml2
2 files changed, 24 insertions, 1 deletions
diff --git a/.github/run_test.sh b/.github/run_test.sh
new file mode 100755
index 00000000..f8a97f51
--- /dev/null
+++ b/.github/run_test.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+TARGETS=$@
+
+TEST_TARGET="tests"
+LTESTS="" # all tests by default
+
+set -ex
+
+for TARGET in $TARGETS; do
+ case $TARGET in
+ --without-openssl)
+ # When built without OpenSSL we can't do the file-based RSA key tests.
+ TEST_TARGET=t-exec
+ ;;
+ esac
+done
+
+if [ -z "$LTESTS" ]; then
+ make $TEST_TARGET
+else
+ make $TEST_TARGET LTESTS="$LTESTS"
+fi
diff --git a/.github/workflows/c-cpp.yml b/.github/workflows/c-cpp.yml
index 6ea16196..2189756b 100644
--- a/.github/workflows/c-cpp.yml
+++ b/.github/workflows/c-cpp.yml
@@ -34,6 +34,6 @@ jobs:
- name: make
run: make
- name: make tests
- run: make tests
+ run: ./.github/run_test.sh ${{ matrix.configs }}
env:
TEST_SSH_UNSAFE_PERMISSIONS: 1